
setwd("C:/PSMB-Model")

##### PACKAGES #############################################################

library(openxlsx)
library(dplyr)
library(tidyr)
library(reshape)

##### LIST OF INPUTS #######################################################

# You can run all input sheets or a subset of input sheets. Use Ctrl+Shift+C 
# to turn sections 'on' and 'off'.

# Use this section to run all input sheets --------------------------------

LIST.OF.INPUTS <- read.xlsx(
  xlsxFile = "INPUT/LISTOFINPUTS.xlsx", 
  sheet = "LIST", 
  startRow = 1)
ROWS <- as.list(1:nrow(LIST.OF.INPUTS))

# Use this section to run a subset of input sheets ------------------------
# (Change the bit in brackets to specify the range of input sheets you 
# want to run)

# ROWS <- as.list(89:96)

##### RUN THE MODEL ########################################################

RUN.MODEL <- function(z){

  write.csv(z, "DELETE_ME.csv", row.names = FALSE)
          
  source('CODE/00Preliminaries.R')
    
  source('CODE/01Geotyping.R')
    
  source('CODE/02AccessNetworkDimensioning.R')
    
  source('CODE/03UserGrowthProfile.R')
    
  source('CODE/04CapacityAugmentation.R')
    
  source('CODE/05Rollout.R')
    
  source('CODE/06CAPEX.R')
    
  source('CODE/07OPEX.R')
  
  source('CODE/08Output.R')
          
}

lapply(ROWS,RUN.MODEL)
